"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getAnswers_1 = require("./getAnswers");
const makeDirectory_1 = require("./makeDirectory");
const cloneBase_1 = require("./cloneBase");
const updatePackage_1 = require("./updatePackage");
const generateReadme_1 = require("./generateReadme");
const installDependencies_1 = require("./installDependencies");
const deleteGitDir_1 = require("./deleteGitDir");
const done_1 = require("./done");
const error_1 = require("./error");
const dirName = 'dirName';
function changeDirectory(answers) {
    process.chdir(answers.dirName);
    return answers;
}
function default_1() {
    return getAnswers_1.default()
        .then(makeDirectory_1.default)
        .then(cloneBase_1.default)
        .then(changeDirectory)
        .then(updatePackage_1.default)
        .then(generateReadme_1.default)
        .then(installDependencies_1.default)
        .then(deleteGitDir_1.default)
        .then(done_1.default)
        .catch(error_1.default);
}
exports.default = default_1;
//# sourceMappingURL=index.js.map